<back to all web services

GetProjectsCount

The following routes are available for this service:
GET/RestApi/translations/projects/count
"use strict";
export class CountProxy {
    /** @param {{TotalCount?:number}} [init] */
    constructor(init) { Object.assign(this, init) }
    /** @type {number} */
    TotalCount;
}
/** @typedef {'NotStarted'|'Started'|'Completed'} */
export var ProjectStatus;
(function (ProjectStatus) {
    ProjectStatus["NotStarted"] = "NotStarted"
    ProjectStatus["Started"] = "Started"
    ProjectStatus["Completed"] = "Completed"
})(ProjectStatus || (ProjectStatus = {}));
export class GetProjectsCount {
    /** @param {{Skip?:number,Take?:number,OrderExpression?:string,SearchText?:string,Service?:string[],ProjectStatus?:ProjectStatus,ActualSourceLanguage?:string,WithoutSourceLanguage?:boolean}} [init] */
    constructor(init) { Object.assign(this, init) }
    /** @type {?number} */
    Skip;
    /** @type {?number} */
    Take;
    /** @type {string} */
    OrderExpression;
    /** @type {string} */
    SearchText;
    /** @type {string[]} */
    Service;
    /** @type {?ProjectStatus} */
    ProjectStatus;
    /** @type {string} */
    ActualSourceLanguage;
    /** @type {boolean} */
    WithoutSourceLanguage;
}

JavaScript GetProjectsCount DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .csv suffix or ?format=csv

HTTP + CSV

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /RestApi/translations/projects/count HTTP/1.1 
Host: www.imglobal.com 
Accept: text/csv
HTTP/1.1 200 OK
Content-Type: text/csv
Content-Length: length

{"TotalCount":0}